Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class DelegatingExtensions

    java.lang.Object
      |
      +--kodo.meta.DelegatingExtensions

All Implemented Interfaces:
  Extensions

Direct Known Subclasses:
  DelegatingClassMetaData, DelegatingFieldMetaData

public class DelegatingExtensions
extends Object
implements Extensions

Wrapper around an existing `Extensions` instance.

Constructor Summary
`DelegatingExtensions(Extensions exts)`

Method Summary
`void` | `addExtension(String key, Object value)` Add a `kodo` vendor extension to this entity.
`void` | `addExtension(String vendor, String key, Object value)` Add a vendor extension to this entity.
`void` | `addExtensionKeys(Collection exts)` Add all the known extension keys to the specified collection; any implementation that utilized new extensions should override this method to include both the known extensions of its superclass as well as its own extension keys.
`boolean` | `getBooleanExtension(String key)` Get the value as a boolean.
`boolean` | `getBooleanExtension(String vendor, String key)` Get the value as a boolean.
`double` | `getDoubleExtension(String key)` Get the value as a double.
`double` | `getDoubleExtension(String vendor, String key)` Get the value as a double.
`Extensions` | `getEmbeddedExtensions(String key, boolean create)` Return the embedded extensions under the extension with the given key.
`Extensions` | `getEmbeddedExtensions(String vendor, String key, boolean create)` Return the embedded extensions under the extension with the given key.
`String[]` | `getExtensionKeys()` Return all extension keys for vendor `kodo`.
`String[]` | `getExtensionKeys(String vendor)` Return all extension keys for the given vendor.
`String[]` | `getExtensionVendors()` Return all vendors who have extension keys at this level.
`int` | `getIntExtension(String key)` Get the value as an int.
`int` | `getIntExtension(String vendor, String key)` Get the value as an int.
`Object` | `getObjectExtension(String key)` Get the value of a `kodo` extension.
`Object` | `getObjectExtension(String vendor, String key)` Get the value of an extension.
`String` | `getStringExtension(String key)` Get the value as a string.
`String` | `getStringExtension(String vendor, String key)` Get the value as a string.
`boolean` | `hasExtension(String key)` Return true if the extension with the given key exists for vendor `kodo`.
`boolean` | `hasExtension(String vendor, String key)` Return true if the extension with the given key exists for the given vendor.
`boolean` | `isEmpty()` Return true if there are no keys for any vendor.
`boolean` | `removeEmbeddedExtensions(String key)` Remove the embedded extensions for the given key.
`boolean` | `removeEmbeddedExtensions(String vendor, String key)` Remove the embedded extensions for the given key.
`boolean` | `removeExtension(String key)` Remove a `kodo` vendor extension to this entity.
`boolean` | `removeExtension(String vendor, String key)` Remove a vendor extension to this entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingExtensions

    public DelegatingExtensions(Extensions exts)

Method Detail

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `Extensions`
  Return true if there are no keys for any vendor.
  Specified by:
    `isEmpty` in interface `Extensions`

### getExtensionVendors

    public String[] getExtensionVendors()

  Description copied from interface: `Extensions`
  Return all vendors who have extension keys at this level.
  Specified by:
    `getExtensionVendors` in interface `Extensions`

### getExtensionKeys

    public String[] getExtensionKeys()

  Description copied from interface: `Extensions`
  Return all extension keys for vendor `kodo`.
  Specified by:
    `getExtensionKeys` in interface `Extensions`

### getExtensionKeys

    public String[] getExtensionKeys(String vendor)

  Description copied from interface: `Extensions`
  Return all extension keys for the given vendor.
  Specified by:
    `getExtensionKeys` in interface `Extensions`

### hasExtension

    public boolean hasExtension(String key)

  Description copied from interface: `Extensions`
  Return true if the extension with the given key exists for vendor `kodo`.
  Specified by:
    `hasExtension` in interface `Extensions`

### hasExtension

    public boolean hasExtension(String vendor,
                                String key)

  Description copied from interface: `Extensions`
  Return true if the extension with the given key exists for the given vendor.
  Specified by:
    `hasExtension` in interface `Extensions`

### addExtension

    public void addExtension(String key,
                             Object value)

  Description copied from interface: `Extensions`
  Add a `kodo` vendor extension to this entity.
  Specified by:
    `addExtension` in interface `Extensions`

### addExtension

    public void addExtension(String vendor,
                             String key,
                             Object value)

  Description copied from interface: `Extensions`
  Add a vendor extension to this entity.
  Specified by:
    `addExtension` in interface `Extensions`

### removeExtension

    public boolean removeExtension(String key)

  Description copied from interface: `Extensions`
  Remove a `kodo` vendor extension to this entity.
  Specified by:
    `removeExtension` in interface `Extensions`

### removeExtension

    public boolean removeExtension(String vendor,
                                   String key)

  Description copied from interface: `Extensions`
  Remove a vendor extension to this entity.
  Specified by:
    `removeExtension` in interface `Extensions`

### getObjectExtension

    public Object getObjectExtension(String key)

  Description copied from interface: `Extensions`
  Get the value of a `kodo` extension.
  Specified by:
    `getObjectExtension` in interface `Extensions`

### getObjectExtension

    public Object getObjectExtension(String vendor,
                                     String key)

  Description copied from interface: `Extensions`
  Get the value of an extension.
  Specified by:
    `getObjectExtension` in interface `Extensions`

### getStringExtension

    public String getStringExtension(String key)

  Description copied from interface: `Extensions`
  Get the value as a string.
  Specified by:
    `getStringExtension` in interface `Extensions`

### getStringExtension

    public String getStringExtension(String vendor,
                                     String key)

  Description copied from interface: `Extensions`
  Get the value as a string.
  Specified by:
    `getStringExtension` in interface `Extensions`

### getIntExtension

    public int getIntExtension(String key)

  Description copied from interface: `Extensions`
  Get the value as an int.
  Specified by:
    `getIntExtension` in interface `Extensions`

### getIntExtension

    public int getIntExtension(String vendor,
                               String key)

  Description copied from interface: `Extensions`
  Get the value as an int.
  Specified by:
    `getIntExtension` in interface `Extensions`

### getDoubleExtension

    public double getDoubleExtension(String key)

  Description copied from interface: `Extensions`
  Get the value as a double.
  Specified by:
    `getDoubleExtension` in interface `Extensions`

### getDoubleExtension

    public double getDoubleExtension(String vendor,
                                     String key)

  Description copied from interface: `Extensions`
  Get the value as a double.
  Specified by:
    `getDoubleExtension` in interface `Extensions`

### getBooleanExtension

    public boolean getBooleanExtension(String key)

  Description copied from interface: `Extensions`
  Get the value as a boolean.
  Specified by:
    `getBooleanExtension` in interface `Extensions`

### getBooleanExtension

    public boolean getBooleanExtension(String vendor,
                                       String key)

  Description copied from interface: `Extensions`
  Get the value as a boolean.
  Specified by:
    `getBooleanExtension` in interface `Extensions`

### getEmbeddedExtensions

    public Extensions getEmbeddedExtensions(String key,
                                            boolean create)

  Description copied from interface: `Extensions`
  Return the embedded extensions under the extension with the given key. If there are no embedded extensions, a new extensions object will be created and returned if the `create` parameter is true.
  Specified by:
    `getEmbeddedExtensions` in interface `Extensions`

### getEmbeddedExtensions

    public Extensions getEmbeddedExtensions(String vendor,
                                            String key,
                                            boolean create)

  Description copied from interface: `Extensions`
  Return the embedded extensions under the extension with the given key. If there are no embedded extensions, a new extensions object will be created and returned if the `create` parameter is true.
  Specified by:
    `getEmbeddedExtensions` in interface `Extensions`

### removeEmbeddedExtensions

    public boolean removeEmbeddedExtensions(String key)

  Description copied from interface: `Extensions`
  Remove the embedded extensions for the given key.
  Specified by:
    `removeEmbeddedExtensions` in interface `Extensions`

### removeEmbeddedExtensions

    public boolean removeEmbeddedExtensions(String vendor,
                                            String key)

  Description copied from interface: `Extensions`
  Remove the embedded extensions for the given key.
  Specified by:
    `removeEmbeddedExtensions` in interface `Extensions`

### addExtensionKeys

    public void addExtensionKeys(Collection exts)

  Description copied from interface: `Extensions`
  Add all the known extension keys to the specified collection; any implementation that utilized new extensions should override this method to include both the known extensions of its superclass as well as its own extension keys.
  Specified by:
    `addExtensionKeys` in interface `Extensions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.